Skip to main content
GET
/
v1
/
bank-accounts
/
{bankAccountId}
/
bank-transactions
List bank transactions
curl --request GET \
  --url https://api.light.inc/v1/bank-accounts/{bankAccountId}/bank-transactions \
  --header 'Authorization: <api-key>'
{
  "total": 123,
  "records": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "date": "2023-12-25",
      "amount": 123,
      "dcSign": "D",
      "reconciliationStatus": "EXCLUDED",
      "name": "<string>",
      "memo": "<string>",
      "reference": "<string>",
      "transactionId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "balance": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Path Parameters

bankAccountId
string<uuid>
required

Query Parameters

sort
string

Sort string in the format field:direction. To provide multiple sort fields, separate them with commas.

Available directions: asc, desc.

Available fields: reconciliationStatus, dcSign, date, amount, name, memo.

Example:

"amount:desc,createdAt:asc"

filter
string

Filter string in the format field:operator:value. To provide multiple filters, separate them with commas.

Available operators: eq, ne, in, not_in, gt, gte, lt, lte.

  • For in and not_in operators, provide multiple values separated by the pipe character (|).

Available fields: reconciliationStatus, dcSign, date.

Example:

"state:in:IN_DRAFT|SCHEDULED|PAID,amount:gte:500,vendorId:ne:null"

limit
integer<int32>

Maximum number of items to return. Default is 50, maximum is 200.

Required range: x <= 200
offset
integer<int64>

Number of items to skip before starting to collect the result set. Deprecated, use 'cursor' instead.

cursor
string

The cursor position to start returning results from. To opt-in into cursor-based pagination, provide 0 for the initial request. For subsequent requests, use nextCursor and prevCursor from the previous response to navigate.

Response

default - application/json;charset=UTF-8

default response

total
integer<int64>
records
object[]
balance
integer<int64>